Advertisement blocking

About The Advertisement Blocking Plug-in

More and more web sites are becoming filled with ads. With a fast connection these are generally not a problem but often it's nice just to surf without the distraction of blinking, moving ads. Outpost Firewall can block the display of banner ads from certain advertisers. Outpost Firewall uses two methods:

  • Ad string blocking blocks the advertisment based on "words" (Ad-strings) in Internet advertisement URLs located in the HTML tags "<IMG SRC=" and "<A HREF=". Outpost Firewall replaces these banners with the text: [AD-IMG] or [AD].

  • Ad size blocking blocks the advertisment based on the size of images with the links (Ad-size). Outpost Firewall replaces these banners with the text [AD-SIZE] in the web page.

Important

Outpost Firewall blocks banner ads according to the settings you specify. Some legitimate images could be blocked if the setting is too strict, such as adding the word "image" to the list of blocked words. In addition, a few ads will not be blocked with this plug-in's default settings.

Related Topics

Viewing the advertisement blocking log

About Ad string blocking

About Ad size blocking


Viewing the advertisement blocking log

To view the Advertisement blocking log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu

  2. Select Show Outpost Firewall

  3. Highlight Ads in the Plug-ins tree

  4. Now you will be able to view the banners that have been blocked by the Advertisement blocking Plug-in.

For more information about the Outpost log system please read the Outpost Log System chapter.

Related Topics

About the Advertisement Blocking Plug-in

About Ad string blocking

About Ad size blocking


Ad string blocking

About Ad string blocking

Outpost Firewall can block the display of banner ads from certain advertisers. Outpost Firewall may block banners that contain Ad strings - "words" in Internet advertisement URLs located in the HTML tags IMG SRC and A HREF. Outpost Firewall replaces these banners with the text: [AD-IMG].

The following topics describe how to set-up Ad String blocking:

Adding words to the block list

Removing words from the block list

Editing words in the block list

Resetting the block list to default

Using the Ad Trashcan

Related Topics

About the Advertisement Blocking Plug-in

Viewing the advertisement blocking log

About Ad size blocking


Enabling HTML string blocking

To enable HTML string blocking:

1. Select Options

2. Select Plug-Ins

3. Highlight Ads

4. Click Settings

5. Select HTML String tab

6. Check Enable HTML ad string blocking.

You quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Adding words to the block list

Editing words in the block list

Resetting the block list to default

Using the Ad Trashcan


Adding words to the block list

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Type in the word

  6. Press Add

  7. Press OK.

Any web pages that contain this word are not displayed in the web browser.

Note

You can quickly access the plug-in perperties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Removing words from the block list

Editing words in the block list

Using the Ad Trashcan


Removing words from the block list

To remove a word from the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Highlight the word you want to remove

  7. Press Remove

  8. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Editing words in the block list

Viewing the Content Blocking log


Editing words in the block list

To edit a word in the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Highlight the word you want to edit

  7. Type in your changes

  8. Press Modify

  9. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Removing words from the block list

Viewing the Content Blocking log


Resetting the block list to default

To reset an Ad-string to its default settings:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select HTML String tab

  6. Press Default

  7. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Removing words from the block list

Editing words in the block list


Using the Ad Trashcan

The Ad Trashcan is another way of adding Ad-strings to the blocked list.

To enable Ad Trashcan:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select HTML String tab

  6. Check Show Ad Trashcan on your desktop

  7. Press OK.

You will see the Ad Trashcan window always on top of all other windows.

To add another Ad-string to the block list Using the Ad Trashcan:

  1. Drag and drop the banner you do not want see in future over Ad Trashcan.

  2. Select if you wish to add The whole string or A portion of the string to the Ad-string list.

  3. If you have selected A portion of the string then edit the string in the input field.

  4. Press OK.

Note

You can quickly access the plug-in perperties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Adding words to the block list

Using the Ad Trashcan


Ad size blocking

About Ad size blocking

Outpost Firewall can also block all banner ads having standard sizes. Immediately after installation, Outpost Firewall is set to block all images with a link (images inside an A tag) of 100 x 100, 125 X 125, 468 x 60, 470 x 60, 234 x 60, 120 x 80, and 88 x 31 pixels. Outpost Firewall replaces the designated banners with the text [AD-SIZE] in the web page.

The following topics describe how to set-up Ad size blocking:

Enabling Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list

Removing an Ad size from the block list

Related Topics

About the Advertisement Blocking Plug-in

Viewing the advertisement blocking log

About Ad string blocking


Enabling Ad size blocking

To enable Ad size blocking:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Check Enable blocking by image-size.

Note

You can quickly access the plug-in perperties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list

Removing an Ad size from the block list


Adding an Ad size to the block list

To block a banner with a particular size:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Type in the the size of the image to be blocked in the Height and Width fields

  7. Press Add button

  8. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Editing an Ad size in the block list

Removing an Ad size from the block list


Editing an Ad size in the block list

To edit a size of the banner that will be blocked:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Highlight the image size you want to modify

  7. Type in the new the size of the image to be blocked in Height and Width fields

  8. Press Modify button

  9. Press OK.

Note

You can quickly access the plug-in perperties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Adding an Ad size to the block list

Removing an Ad size from the block list


Removing an Ad size from the block list

To remove a banner with a particular size from blocking:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select Image Size tab

  6. Highlight the image size you want to remove

  7. Press Remove button

  8. Press OK.

Note

You can quickly access the plug-in perperties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list


Adding a site to the block list

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Type in the string contained in the URL that you do not want to be displayed (ex. explosive)

  7. Press Add

  8. Press OK.

Any web page address that contains this word (eg. "explosive") are not be displayed in the web browser.

Notes

  • It is not nessasery to add "*" symbols in the word you enter because the Content Blocking plug-in will search the whole URL for the string you have entered. For example, if you add "explosive " the following sites will be blocked www.how-to-make-explosive.com, www.explosive.com , www.explosivetutorial.net and all others that have the "explosive" sub-string in their addresses.

  • You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Editing a site in the block list

Removing a site from the block list

Viewing the Content Blocking log


Adding words to the block list

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Type in the word

  7. Press Add

  8. Press OK.

Any web page that contains this word is not displayed in the web browser.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Editing words in the block list

Removing words from the block list

Viewing the Content Blocking log


Blocking site by URL

About Blocking Site by URL

Outpost Firewall's Content Blocking Plug-In can block web pages and web sites based on the string in the URL. If a web page has an address (URL) that contains one of the words from the blocked URL strings list, it will not be displayed.

The following topics describe how to set-up Blocking sites by URL:

Enabling Blocking Site by URL

Adding a site to the block list

Editing a site in the block list

Removing a site from the block list

Related Topics

About Content blocking

Viewing the Content Blocking log

About blocking a site by words


Blocking a site by words

About blocking a site by words

Outpost Firewall's Content Blocking Plug-in can block web pages based on the words that are contained on those pages. If a web page contains any of the words on your blocked words list, it will not be displayed.

The following topics describe how to set-up Blocking sites by words:

Enabling blocking sites by words

Adding words to the block list

Editing words in the block list

Removing words from the block list

Related Topics

About Content blocking

Viewing the Content Blocking log

About blocking sites by URL


Content blocking

About Content blocking

Outpost Firewall's Content Blocking Plug-in can block the web pages and web sites using:

  • Blocking Site by word If a web page contains any of the words you have put in the block words list it will not be displayed

  • Blocking sites by URL If a web page has an address (URL) that contains one of the words from blocked URL lists it will not be displayed.

Related Topics

Viewing the Content Blocking log

About blocking a site by words

About blocking sites by URL


Editing a site in the block list

To edit a word in the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Highlight the word you want to change

  7. Type in your changes

  8. Press Modify

  9. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Removing a site from the block list

Viewing the Content Blocking log


Enabling blocking sites by words

To enable web site blocking by words:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Words tab

  6. Check Enable content blocking

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About blocking a site by words

Adding words to the block list

Editing words in the block list

Removing words from the block list

Viewing the Content Blocking log


Enabling Blocking Site by URL

To enable web site blocking by URL:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Check Enable site blocking.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Editing a site in the block list

Removing a site from the block list

Viewing the Content Blocking log


Removing a site from the block list

To remove a word from the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Content

  4. Click Settings

  5. Select Blocked Sites tab

  6. Highlight the word you want to remove

  7. Press Remove

  8. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Blocking Site by URL

Adding a site to the block list

Editing a site in the block list

Viewing the Content Blocking log


Viewing the Content Blocking log

To view the Content Blocking log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Highlight Content in the Plug-Ins tree.

  4. Now you will be able to view sites that have been blocked by the Content Blocking Plug-in and the reason is was blocked.

For more information about the Outpost log system, please read the Outpost Log System chapter.

Related Topics

About Content blocking

About blocking a site by words

About blocking sites by URL